From bunk@stusta.de Sat Jul 23 18:29:50 2005
Date: Sun, 24 Jul 2005 00:05:18 +0200
From: Adrian Bunk <bunk@stusta.de>
To: Greg Kroah-Hartman <greg@kroah.com>
Subject: DEBUG_FS must depend on SYSFS
Message-ID: <20050723220518.GL3160@stusta.de>

CONFIG_DEBUG_FS=y and CONFIG_SYSFS=n results in the following compile 
error:

<--  snip  -->

...
  LD      vmlinux
fs/built-in.o: In function `debugfs_init':
inode.c:(.init.text+0x31be): undefined reference to `kernel_subsys'
make: *** [vmlinux] Error 1

<--  snip  -->


Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 lib/Kconfig.debug |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/lib/Kconfig.debug	2005-06-17 12:48:29.000000000 -0700
+++ gregkh-2.6/lib/Kconfig.debug	2005-07-27 17:10:12.000000000 -0700
@@ -141,7 +141,7 @@
 
 config DEBUG_FS
 	bool "Debug Filesystem"
-	depends on DEBUG_KERNEL
+	depends on DEBUG_KERNEL && SYSFS
 	help
 	  debugfs is a virtual file system that kernel developers use to put
 	  debugging files into.  Enable this option to be able to read and
